# Stake for Free Gas

### Stake for free gas

{% tabs %}
{% tab title="UI" %}
Step1: Navigate to <https://dao.rei.network/#/stakeforgas>

Step2: Click on `GAS STAKE` button, enter the `address` and `amount` to stake

![](https://1587922022-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F66Nmajb3NGWZfp8dG26G%2Fuploads%2FeDZDzuSnfUsO59HLQ8JK%2Fgas%20stake_1.png?alt=media\&token=7ba9955b-e131-4b7a-8640-1ec75a0dc28b)
{% endtab %}

{% tab title="Ethers" %}

```typescript
import { getDefaultProvider, Wallet } from "ethers";
import { Fee__factory } from "@rei-network/contracts";

const provider = getDefaultProvider("https://rpc-mainnet.rei.network");

const wallet = new Wallet("yourPrivateKey", provider);

const fee = Fee__factory.connect(
  "0x0000000000000000000000000000000000001005",
  wallet
);

fee
  .deposit("yourAddress", {
    value: "depositAmount",
  })
  .then(() => {
    // ...
  })
  .catch(() => {
    // ...
  });
```

{% endtab %}
{% endtabs %}

### Withdraw Gas Stakes

{% tabs %}
{% tab title="UI" %}
The staked `$REI` cannot be withdrawn within 3 days. After 3 days, `WITHDRAW` will be enabled.&#x20;

![](https://1587922022-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F66Nmajb3NGWZfp8dG26G%2Fuploads%2FMm2fmHqsPuAVvDsNCqfS%2Fgas%20stake.png?alt=media\&token=bf7d2aaf-4922-4db1-bc74-6dc5052b5a8e)
{% endtab %}

{% tab title="Ethers" %}

```typescript
import { getDefaultProvider, Wallet } from "ethers";
import { Fee__factory } from "@rei-network/contracts";

const provider = getDefaultProvider("https://rpc-mainnet.rei.network");

const wallet = new Wallet("yourPrivateKey", provider);

const fee = Fee__factory.connect(
  "0x0000000000000000000000000000000000001005",
  wallet
);

fee
  .withdraw("yourAddress", "withdrawAmount")
  .then(() => {
    // ...
  })
  .catch(() => {
    // ...
  });
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rei.network/rei-dao/guides/stake-for-free-gas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
